<!DOCTYPE html>
<html lang="en">
	<head>
		<title>marcus.brisset : javascript</title>
		<meta charset="UTF-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
		
		<link id="colorMode" rel="stylesheet" href="src/css/modes/dark.css?v=1.0" type="text/css" />
		<link rel="stylesheet" href="src/css/style.css?v=1.0" type="text/css" />
	</head>
	<body>
		
<!--	NAV START		-->

		<label id="pageTop"></label>
		<div class="nav-wrap">
			<nav class="navbar fixed-top navbar-dark bg-color-2 bg--gradient navbar-expand-lg shadow--custom">
				<div class="navbar__container--stretch">
					<span class="navbar-brand">
						<img id="colorModeToggler" class="navbar__icon" src="src/img/icons/light_mode.png" title="Switch to Light Mode" alt="Light mode" />
					</span>
					<span class="navbar-brand navbar__search-wrap">
						<input type="text" class="navbar__search-bar form-control" id="navSearchBar" placeholder="search..." />
					</span>
				</div>
				
				<button class="btn btn-dark navbar-toggler" data-bs-toggle="collapse" data-bs-target="#navbar-content"><span class="navbar-toggler-icon"></span></button>
				
				<div class="collapse navbar-collapse" id="navbar-content">
					<ul class="navbar-nav mr-auto">
						<li class="nav-item">
							<a class="nav-link" href="index.html">home</a>
						</li>
						<li class="nav-item">
							<a class="nav-link" href="about.html">about</a>
						</li>
						<li class="nav-item">
							<a class="nav-link nav-link--active" href="javascript.html">javascript</a>
						</li>
						<li class="nav-item">
							<a class="nav-link" href="contact.html">contact</a>
						</li>
						<li class="nav-item">
							<a class="nav-link" href="disclaimer.html">disclaimer</a>
						</li>
					</ul>
				</div>
			</nav>
		</div>
                
<!--	MAIN START		-->

		<main>
			
<!--	SEARCH START	-->
			
			<div class="border--beveled rounded-3 p-4 bg-color-2 bg--gradient shadow--custom--s mb-2">
				<h2 class="form__header h--has-border">Search</h2>
				<div class="row m-1">
					<div class="col-sm col--mw-10">First Name:</div>
					<div class="col-sm"><input class="form-control form-control-sm" type="text" name="first_name" id="firstName" /></div>
				</div>
				<div class="row m-1">				
					<div class="col-sm col--mw-10">Last Name:</div>
					<div class="col-sm"><input class="form-control form-control-sm" type="text" name="last_name" id="lastName" /></div>
				</div>
				<div>
					<div class="text-center" id="sumUsers"></div>
					<div class="text-center font-weight-bold smaller highlight" id="searchHits"></div>
				</div>
			</div>

<!--	PAGER START		-->

			<div class="pager-container row m-1">
				<div class="container d-flex justify-content-center">
					<div class="pager">
						<button id="pageBack" class="btn py-1 px-2 bg-color-1 bg--gradient border--beveled shadow--custom--s global-hidden">BACK</button>
						<div class="d-inline-block p-1 bg-color-1 bg--gradient rounded border--beveled my-auto shadow--custom--s">
							<input id="userListPage" class="form-control input-xs text-center bg-color-3 border--beveled border--inverted bg--gradient" type="text" name="user_list_page" value="1" />
							of <span id="lastPage"></span></div>
						<button id="pageForw" class="btn py-1 px-2 bg-color-1 bg--gradient border--beveled shadow--custom--s global-hidden">NEXT</button>
					</div>
				</div>
			</div>

<!--	TEXTFILE START	-->

			<table class="table table-hover mt-2 bg-color-2 border--beveled shadow--custom--s">
				<thead>
					<tr>
						<th class="bg-color-0 bg--gradient">#</th>
						<th class="bg-color-0 bg--gradient">First name</th>
						<th class="bg-color-0 bg--gradient">Last name</th>
					</tr>
				</thead>
				<tbody id="userListBody">
				</tbody>				
			</table>
			
		</main>
		<script src="src/js/userlist.js"></script>
		<script src="src/js/cursor.js"></script>
		<script src="src/js/script.js"></script>
		<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
		
<!-- BACK TO TOP START -->

		<div id="backToTop" class="back-to-top-wrap back-to-top-wrap--hidden">
			<a class="btn border--inverted back-to-top-btn" href="#pageTop" title="Back to top">Back to top</a>
		</div>
	</body>
</html>